#!/bin/sh

name="vergisc"

ARCH=`uname -m`  
if [ $ARCH = "x86_64" ]
then
prog="vergisc64"
else
prog="vergisc32"
fi

if [ -f "$name".desktop ]; then
	rm $name.desktop
fi

if [ -f ~/.local/share/applications/"$name".desktop ]; then
	rm ~/.local/share/applications/$name.desktop
fi

touch "$name".desktop

    echo "[Desktop Entry]"  >> "$name".desktop
    echo "Encoding=UTF-8"   >> "$name".desktop
    echo "Type=Application" >> "$name".desktop
    echo "Version=1.0"      >> "$name".desktop
    echo "Name=$name"       >> "$name".desktop
    echo "Path=$PWD"       >> "$name".desktop
    echo "Exec=$PWD/$prog"       >> "$name".desktop
#"Categories"= "AudioVideo" "Audio" "Video" "Development" "Education" "Game"
# "Graphics" "Network" "Office" "Settings" "System" 
    echo "Categories=Office" >> "$name".desktop

chmod +x "$name".desktop

cat "$name".desktop

test -f ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs && source ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs
desktop=${XDG_DESKTOP_DIR:-$HOME/Desktop}

    cp "$name".desktop "$desktop"
mkdir -p "~/.local/share/applications/"
mv "$name".desktop ~/.local/share/applications/

if [ $? -eq 0 ]
then
    echo "Installation Lanceur vergisc OK"
else
    echo "Erreur Installation Lanceur vergisc"
fi
#echo "desktop..." ${XDG_DESKTOP_DIR:-$HOME/Desktop}

name2="vergiscOUT"

ARCH=`uname -m`  
if [ $ARCH = "x86_64" ]
then
prog2="vergiscOUT64"
else
prog2="vergiscOUT32"
fi

if [ -f "$name2".desktop ]; then
	rm $name2.desktop
fi

if [ -f ~/.local/share/applications/"$name2".desktop ]; then
	rm ~/.local/share/applications/$name2.desktop
fi

touch "$name2".desktop

    echo "[Desktop Entry]"  >> "$name2".desktop
    echo "Encoding=UTF-8"   >> "$name2".desktop
    echo "Type=Application" >> "$name2".desktop
    echo "Version=1.0"      >> "$name2".desktop
    echo "Name=$name2"       >> "$name2".desktop
    echo "Path=$PWD"       >> "$name2".desktop
    echo "Exec=$PWD/$prog2"       >> "$name2".desktop
#"Categories"= "AudioVideo" "Audio" "Video" "Development" "Education" "Game"
# "Graphics" "Network" "Office" "Settings" "System" 
    echo "Categories=Office" >> "$name2".desktop

chmod +x "$name2".desktop

cat "$name2".desktop

test -f ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs && source ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs
desktop=${XDG_DESKTOP_DIR:-$HOME/Desktop}

    cp "$name2".desktop "$desktop"
mkdir -p "~/.local/share/applications/"
mv "$name2".desktop ~/.local/share/applications/

if [ $? -eq 0 ]
then
    echo "Installation Lanceur vergiscOUT OK"
else
    echo "Erreur Installation Lanceur vergiscOUT"
fi
